export class TabContent {
    constructor() {
        this.isSelected = false;
    }
    getChild() {
        return {
            select: this.select.bind(this),
            unselect: this.unselect.bind(this),
            name: this.name
        };
    }
    unselect() {
        this.isSelected = false;
    }
    select() {
        this.isSelected = true;
    }
    render() {
        const classes = {
            'ema-tab-content': true,
            'ema-tab-content-selected': this.isSelected
        };
        return (h("div", { class: classes },
            h("slot", null)));
    }
    static get is() { return "ema-tab-content"; }
    static get properties() { return {
        "getChild": {
            "method": true
        },
        "isSelected": {
            "state": true
        },
        "name": {
            "type": String,
            "attr": "name"
        }
    }; }
    static get style() { return "/**style-placeholder:ema-tab-content:**/"; }
}
